package com.sillycycle.bagleyd.loop;

/*
 * @(#)LoopInterface.java
 *
 * Copyright 2010 - 2019  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>LoopInterface</code> class contains most of the
 * constants used by the <code>LoopFrame</code> class.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/life.html
 */

public final class LoopInterface {
	static final String LIFEFILE = "out.life";

	static final int EMPTY = -1;
	static final int DEFAULT_CELLSIZE = 10;
	static final int NEXT_CELLSIZE = 3;
	static final int MIN_SPEED = 1;
	static final int MAX_SPEED = 50;
	static final int DEFAULT_COLUMNS = 100;
	static final int DEFAULT_ROWS = 60;
	static final int MIN_COLUMNS = 7;
	static final int MIN_ROWS = 4;
	static final int MAX_COLUMNS = 3 * DEFAULT_COLUMNS;
	static final int MAX_ROWS = 3 * DEFAULT_ROWS;
	static final int DEFAULT_SPEED = 40;
	static final int DEFAULT_NEIGHBOR_INDEX = 0; // For n=4, change if n=3 permitted
	static final byte DEAD = 0;
	static final String MSG_PAUSED = "Paused";

	static final String MSG_END = "Life Over";
	static final String TITLE = "Loop";
	public enum Icons {X16, X22, X24, X32, X48, X64}
	static final String[] ICONS = {"icons/16x16/loop.png",
		"icons/22x22/loop.png",
		"icons/24x24/loop.png",
		"icons/32x32/loop.png",
		"icons/48x48/loop.png",
		"icons/64x64/loop.png"};
}
